#ifndef PLAYERACTIONCG_H_
#define PLAYERACTIONCG_H_


typedef enum { INTERCEPT=0, LEADING_PASS_TO, MOVE_TO, DRIBBLE, CLEAR_BALL, SCORE, MOVE_TO_STRAT_POS, NO_ACTION } PlayerActionTypeCG;

typedef enum { CENTER=0, N, NW, W, SW, S, SE, E, NE, NO_DIRECTION } DirCG;

typedef enum { ACTIVE_PASSER=0, ACTIVE_INTERCEPTOR, RECEIVER, PASSIVE, GOALIE, NO_ROLE } RoleCG;

#define POSSIBLE_PLAYER_DIRECTIONS_CG_NO 9
#define POSSIBLE_PLAYER_ACTION_TYPES_CG_NO 7

class PlayerActionCG
{
public:
	PlayerActionCG();
	
	PlayerActionTypeCG getActionType();
	
	void setActionType(PlayerActionTypeCG actionType);
	
	DirCG getDirection();
	
	void setDirection(DirCG direction);
	
	int getTeammateIndex();
	
	void setTeammateIndex(int teammateIndex);
	
private:
	// typ akcie
	PlayerActionTypeCG actionType;
	
	// v pripade ak je to PASS_TO je urceny smer nahravky
	DirCG direction;
	
	// index spoluhraca, ktoreho sa akcia tyka
	// mozne hodnoty: <1,10>
	int teammateIndex;
};

#endif
